import request from '@/utils/request'

// 查询我的的消息列表
export function listEhsMyMessage(query) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/list',
    method: 'get',
    params: query
  })
}

// 查询我的的消息详细
export function getEhsMyMessage(myMessageId) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/' + myMessageId,
    method: 'get'
  })
}

// 新增我的的消息
export function addEhsMyMessage(data) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage',
    method: 'post',
    data: data
  })
}

// 修改我的的消息
export function updateEhsMyMessage(data) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage',
    method: 'put',
    data: data
  })
}

// 删除我的的消息
export function delEhsMyMessage(myMessageId) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/' + myMessageId,
    method: 'delete'
  })
}

// 查询我的的未读消息
export function getUnread() {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/getUnread',
    method: 'get'
  })
}
//设置隐患消息已读取
export function setReadByHD() {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/setReadByHD',
    method: 'get'
  })
}
//查询待出库
export function getSendQuantity(classFirst) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/getSendQuantity/'+classFirst,
    method: 'get'
  })
}

//设置物资消息已读
export function setMaterial(myMessageId) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/setMaterial/'+myMessageId,
    method: 'get'
  })
}
//查询消息通信新消息和消息总数
export function getNoticeMsg() {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/getNoticeMsg',
    method: 'get'
  })
}
